<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>

	<!-- page_id is defined in main.xslt -->
	<!-- nav_data is defined in main.xslt -->
	<xsl:param name="seperator" select="'>'"/>
	
	<xsl:template match="breadcrumb">
		<xsl:variable name="id" select="@id"/>
		<xsl:apply-templates select="document($nav_data)" mode="breadcrumb">
			<xsl:with-param name="pageid" select="$page_id"/>
			<xsl:with-param name="alwaysInclude" select="@alwaysInclude"/>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template match="navigation" mode="breadcrumb">
		<xsl:param name="pageid"/>
		<xsl:param name="alwaysInclude" select=""/>
		<div id="breadcrumb">
			<ul>
				<xsl:apply-templates mode="breadcrumb">
					<xsl:with-param name="pageid" select="$pageid"/>
					<xsl:with-param name="alwaysInclude" select="$alwaysInclude"/>
				</xsl:apply-templates>
			</ul>
		</div>
	</xsl:template>
	
 	<xsl:template match="navItem" mode="breadcrumb">
 		<xsl:param name="pageid"/>
 		<xsl:param name="alwaysInclude" select=""/>
 		<xsl:choose>
 			<xsl:when test="@id = $pageid">
 				<xsl:for-each select="ancestor::*">
				<xsl:if test="string-length(@url) &gt; 0">
					<xsl:call-template name="create_link"/>
				</xsl:if>
			</xsl:for-each>
	 		<li>
				<xsl:value-of select="@title"/>
			</li>
 			</xsl:when>
 			 <xsl:when test="contains($alwaysInclude, concat('.', @id, '.'))">
 				<xsl:if test="string-length(@url) &gt; 0">
					<xsl:call-template name="create_link"/>
				</xsl:if>
 			</xsl:when>
 		</xsl:choose>
 		<xsl:apply-templates mode="breadcrumb">
			<xsl:with-param name="pageid" select="$pageid"/>
			<xsl:with-param name="alwaysInclude" select="$alwaysInclude"/>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template name="create_link">
		<li>
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:value-of select="@url"/>
				</xsl:attribute>
				<xsl:value-of select="@title"/>
			</xsl:element>
		</li>
		<li><xsl:value-of select="$seperator"/></li>
	</xsl:template>
	
</xsl:stylesheet>