<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>

	<xsl:template name="tokenize">
		<xsl:param name="input"/>
		<xsl:param name="token" select="';'"/>
		<xsl:param name="template"/>
		
		<xsl:variable name="curr"><xsl:value-of select="substring-before($input, ';')"/></xsl:variable>
		<xsl:variable name="next"><xsl:value-of select="substring($input,string-length($curr + 1))"/></xsl:variable>
		
		<!--<xsl:value-of select="$curr"/>-->
		<xsl:call-template name="$template"/>
		
		<xsl:choose>
			<xsl:when test="contains($next, ';')">
				<xsl:call-template name="tokenize">
					<xsl:with-param name="input" select="$next"/>
					<xsl:with-param name="token" select="$token"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$next"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>