<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:param name="channel_title" select="'new channel'"/>
	<xsl:param name="channel_desc" select="'a new channel'"/>
	<xsl:param name="channel_home" select="'index.html'"/>
	<xsl:param name="root_url" select="'http://nowhere'"/>
	<xsl:param name="numGenDate"/>
	<xsl:param name="remove_previous" select="'true'"/>
	
	<xsl:template match="articles">
		<rss version="2.0">
			<channel>
				<title><xsl:value-of select="$channel_title"/></title>
				<link><xsl:value-of select="concat($root_url, '/', $channel_home)"/></link>
				<description><xsl:value-of select="$channel_desc"/></description>
				<xsl:apply-templates>
					<xsl:sort select="@date" order="descending"/>
				</xsl:apply-templates>
			</channel>
		</rss>
	</xsl:template>
	
	<xsl:template match="article">
		<xsl:if test="(@date + 1 &gt; $numGenDate) or ($remove_previous = 'false') or (string-length(@date) = 0)">
			<item>
				<title><xsl:value-of select="@title"/></title>
				<xsl:choose>
					<xsl:when test="string-length(@moreurl) &gt; 0">
						<link><xsl:value-of select="concat($root_url, '/', @moreurl)"/></link>
					</xsl:when>
					<xsl:otherwise>
						<link><xsl:value-of select="concat($root_url, '/', $channel_home)"/></link>
					</xsl:otherwise>
				</xsl:choose>
				<description><xsl:value-of select="."/></description>
			</item>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>